#!/usr/bin/env python
# -*- coding: latin1 -*-

import sys
from qt import *
from gangetabell import gangetabell

__version__ = '0.1'

class gangetabellImpl(gangetabell):
    def __init__(self):
        gangetabell.__init__(self)
        self.connect(self.pbCalc, SIGNAL("clicked()"), self.doCalc)
        self.connect(self.pbClear, SIGNAL("clicked()"), self.doClear)
    
    def doCalc(self):
        num, ok = self.innputNr.text().toInt()
        for times in range(11):
            self.outputList.insert("%s\n" % (num * times))
        self.innputNr.setFocus()
        self.innputNr.setCursorPosition(0)
    
    def doClear(self):
        self.outputList.clear()
        self.innputNr.setText("")
        self.innputNr.setFocus()
        self.innputNr.setCursorPosition(0)


if __name__ == "__main__":
    app = QApplication(sys.argv)
    f = gangetabellImpl()
    f.show()
    app.setMainWidget(f)
    app.exec_loop()


